Skip to main content
GET
/
api
/
v1
/
brands
/
{brandId}
/
source-domains
/
{sourceId}
Get Source Domain
curl --request GET \
  --url https://api.example.com/api/v1/brands/{brandId}/source-domains/{sourceId}

Documentation Index

Fetch the complete documentation index at: https://docs.qwairy.co/llms.txt

Use this file to discover all available pages before exploring further.

Returns detailed source information with breakdowns by provider and topic.

Path Parameters

brandId
string
required
The unique identifier of the brand
sourceId
string
required
The unique identifier of the source

Query Parameters

period
number
Number of days to include. If not specified, returns all data.
startDate
string
Start date (ISO 8601 format)
endDate
string
End date (ISO 8601 format)

Example Response

{
  "success": true,
  "source": {
    "id": "src1",
    "domain": "industry-news.com",
    "type": "MEDIA",
    "status": "ACTIVE",
    "isSelf": false,
    "totalMentions": 102,
    "rate": 5.10,
    "avgPosition": 3.2,
    "byProvider": [
      { "provider": "ChatGPT", "mentions": 60, "avgPosition": 3.1 },
      { "provider": "Perplexity", "mentions": 42, "avgPosition": 3.4 }
    ],
    "byTopic": [
      { "topic": "Product Reviews", "mentions": 55, "avgPosition": 2.8 },
      { "topic": "Comparisons", "mentions": 30, "avgPosition": 3.5 }
    ]
  }
}